#### D.15.32.10 invertAlgebraMorphism

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  invertAlgebraMorphism(map p,int n), where p is an algebra morphism k[x1,...,xn]->k[y1,...,ym],
  or invertAlgebraMorphism(ideal p,int n) if you represent the map as an ideal

Return:
  the inverse of p mod (maxideal)^n.
  If n=-1, try for infinite precision. If input was an ideal, return an ideal.

Note:
  the algorithm used is described in [1], chapter 3.2

Example:

    LIB "VecField.lib";
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    map phiinv = invertAlgebraMorphism(phi,4);

User manual for Singular version 4.4.1, 2025, generated by texi2html.